Content Insights
Retrieve reliable timing, format, weekday, and platform insights.
Retrieve reliable timing, format, weekday, and platform insights.
/api/v1/analytics/insightsReturn Content Insights for the selected timeline and accounts.
The endpoint accepts the common Analytics range, platform and account filters.
curl 'https://dopost.co/api/v1/analytics/insights?days=90&platform=INSTAGRAM' \
--header 'x-api-key: <apiKey>'curl 'https://dopost.co/api/v1/analytics/insights?days=90&platform=INSTAGRAM' \
--header 'x-api-key: <apiKey>'{
"insights": {
"timezone": "America/Vancouver",
"bestTime": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 24,
"requiredPosts": 20,
"reason": "ready"
}
},
"bestDay": {
"status": "insufficient",
"items": [],
"readiness": {
"analyzedPosts": 8,
"requiredPosts": 20,
"reason": "collecting"
}
},
"formatOpportunity": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 14,
"requiredPosts": 10,
"reason": "ready"
}
},
"platformPulse": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 14,
"requiredPosts": 10,
"reason": "ready"
}
}
},
"meta": { "dataThrough": null }
}{
"insights": {
"timezone": "America/Vancouver",
"bestTime": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 24,
"requiredPosts": 20,
"reason": "ready"
}
},
"bestDay": {
"status": "insufficient",
"items": [],
"readiness": {
"analyzedPosts": 8,
"requiredPosts": 20,
"reason": "collecting"
}
},
"formatOpportunity": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 14,
"requiredPosts": 10,
"reason": "ready"
}
},
"platformPulse": {
"status": "ready",
"items": [],
"readiness": {
"analyzedPosts": 14,
"requiredPosts": 10,
"reason": "ready"
}
}
},
"meta": { "dataThrough": null }
}When more posts are needed, the endpoint returns HTTP 200 with status: "insufficient" and the current sample count.